const int HABIT_NAME_SIZE = 64; // A habit name shouldn't be that long

struct habit {
	int stati; // Plural of status :)
	char name;
	struct habit *prev;
	struct habit *next;
}

struct habit_tracker {
	char date[DATE_SIZE];
	int size;
	struct habit *first;
}

int add_habit(struct habit_tracker *tracker, char *name, int stati);
int del_habit(struct habit_tracker *tracker, int position);
int habit_from_file(struct habit_tracker *tracker, FILE *fp);
